from datetime import datetime
from fastapi import APIRouter
from app.schemas.health import Health
from app.services.model import TaskStatus

router = APIRouter()


@router.get("/health", response_model=Health)
async def health():
    return Health(
        status=TaskStatus.OK.name,
        message="算法服务器正常运行",
        timestamp=str(datetime.now())
    )
